Bug 979999 - 404 not Found when clicking 'RELAX NG schema for Beaker jobs' on documentation page
404 not Found when clicking 'RELAX NG schema for Beaker jobs' on documentatio...
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
develop
Unspecified Unspecified
medium Severity medium (vote)
: 0.13.x
: ---
Assigned To: Nick Coghlan
tools-bugs
:
Depends On:
Blocks: 980340
  Show dependency treegraph
 
Reported: 2013-07-01 05:45 EDT by wangjing
Modified: 2013-07-10 22:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 980340 (view as bug list)
Environment:
Last Closed: 2013-07-10 22:44:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wangjing 2013-07-01 05:45:28 EDT
Description of problem:
404 not Found when clicking 'RELAX NG schema for Beaker jobs' on documentation page

Version-Release number of selected component (if applicable):
docs-release-0.13

How reproducible:
always

Steps to Reproduce:
1. click 'documentation' at bottom of page 'beaker homepage'.
2. click link 'RELAX NG schema for Beaker jobs'.
3.

Actual results:
turn to '404 not found', the link is 'http://beaker-project.org/docs/schema/beaker-job.rng', need to delete 'docs' manually.

Expected results:
no errors.
the link should be 'http://beaker-project.org/schema/beaker-job.rng'

Additional info:
Comment 1 Nick Coghlan 2013-07-01 05:51:22 EDT
It's a relative link that needs to be adjusted for its new location on the site (one level deeper than it used to be).
Comment 2 HSS Product Manager 2013-07-01 23:07:33 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 3 Nick Coghlan 2013-07-02 02:31:53 EDT
Completed review on Gerrit: http://gerrit.beaker-project.org/#/c/2067/

This is actually just a quick fix that ensures the link points to the existing location of the schema file on the site. The real problem is that the schema should be moved inside the versioned docs subdirectories - I created bug 980340 to track that.
Comment 4 Nick Coghlan 2013-07-02 03:35:31 EDT
The 0.13 branch on the website has now been updated with the fixed link: http://beaker-project.org/docs-release-0.13/

The main docs page will be updated once 0.13.2 is released and we merge the updated docs to the master branch.
Comment 5 Amit Saha 2013-07-02 03:39:26 EDT
Verified that the link is fixed on http://beaker-project.org/docs-release-0.13/
Comment 6 Amit Saha 2013-07-10 22:44:45 EDT
Beaker 0.13.2 has been released. (http://beaker-project.org/docs/whats-new/release-0.13.html#beaker-0-13-2).

Note You need to log in before you can comment on or make changes to this bug.